# /etc/dovecot/conf.d/12-ku-passwdfile.conf
#
# ::do_not_edit::
# ::maintainer::
#
# for dovecot >= 2.0
#
# Authentication for passwd-file users
#
# passwd-like file with specified location.
# <doc/wiki/AuthDatabase.PasswdFile.txt>

passdb {
  driver = passwd-file
  args = scheme=CRYPT username_format=%u /etc/dovecot/users
}

userdb {
  driver = passwd-file
  args = username_format=%u /etc/dovecot/users

  # Default fields that can be overridden by passwd-file
  #default_fields = quota_rule=*:storage=1G
  default_fields = uid=::dovecot.vmail_user:: gid=::dovecot.vmail_gid:: home=::dovecot.vmail_homes::/%u quota_rule=:storage=::dovecot.vmail_quota::

  # Override fields from passwd-file
  #override_fields = home=/home/virtual/%u
}
